Skip to Content
AccountingJournal Entries

Create a note against a journal entry

POST
/v0/business/{business_id}/journal-entries/{journal_entry_id}/notes

Scopes: journal_entry:create

Authorization

OAuth2ClientCredentialsBearer journal_entry:create
headerAuthorizationBearer <token>

Scope: journal_entry:create

Path Parameters

journal_entry_id*Journal Entry Id

The id of the journal entry

Formatje_string
business_id*Business Id

The id of the business

Formatbiz_string

Header Parameters

x-user-id?|

Optional external entity identifier that performed the action

Request Body

application/json
  1. body
message*Message

The message of the note

task_id?|

Optional task id to mark as completed after the note is created

Response Body

Successful Response

application/json
  1. response
data*
Example Request
curl -X POST 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/journal-entries/je_R2fAXCjqJPdpYata112zyW/notes' \  -H 'Content-Type: application/json' \  -d '{  "message": "string"}'
Example Response
{  "data": {    "journal_entry_id": "je_WQMDNUHpBThYSNh4AprDBo",    "message": "string",    "user": "string",    "id": "nt_R2fAXCjqJPdpYata112zyW",    "created_at": "2023-03-01T12:00:00Z"  }}